Subject: Random GitHub Actions added to git/git???

From: Junio C Hamano <[email-masked]>
Date: Mon, 19 Apr 2021 17:29:36 -0700

This is only of interest to those who interact with the mirror of
the public repository at GitHub, but anyway.

I was browsing https://github.com/git/git/actions and noticed that
there are many "workflows", even though what we have in our source
tree in .github/workflows/ define only two of them (which I consider
"officially sanctioned ones").

I suspect that these other ones come from "pull requests" random
people threw at us that never hit our tree, with changes to the
.github/workflows/ directory in these PR.

I find them quite distracting.

Is this something the hosting site (GitHub) considers normal and
helpful to the projects they host?  Is there an easy knob to disable
those other than what we have in our tree?

Thanks.